CREATE PROCEDURE [dbo].[spInsertVideos] 
	@vid_id int = null output,
	@vid_name varchar(50),
	@vid_descript varchar(Max),
	@vid_cate_name varchar(50),
	@vid_uploader varchar(50),
	@vid_serverfilename varchar(50),
	@vid_mimetype varchar(50)
AS
BEGIN
   INSERT INTO [dbo].[tblVideos]
           ([video_filename]
           ,[video_description]
           ,[category_name]
           ,[video_upload_time]
           ,[video_uploader]
           ,[video_serverfilename]
           ,[MimeType])
		   VALUES
            (
			@vid_name,
			@vid_descript,
			@vid_cate_name,
			getdate(),
			@vid_uploader,
			@vid_serverfilename,
			@vid_mimetype 
		   );
select @vid_id = scope_identity()
END


